[-]
[+]
|
Deleted |
bacula.spec
|
@@ -1,327 +0,0 @@
-#
-# spec file for package bacula (Version 2.4.4)
-#
-# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
-# This file and all modifications and additions to the pristine
-# package are under the same license as the package itself.
-#
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
-#
-
-Name: bacula
-%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
-BuildRequires: gcc-c++ libacl-devel sqlite-devel openssl-devel readline-devel tcpd-devel
-BuildRequires: xorg-x11-devel qt qt-devel python python-devel atk-devel
-BuildRequires: cairo-devel expat fontconfig-devel freetype2-devel glib2-devel glitz-devel
-BuildRequires: gtk2-devel libpng-devel pango-devel xorg-x11-devel zlib-devel
-BuildRequires: mysql-devel postgresql-devel
-License: GPL v2 or later
-Group: Productivity/Archiving/Backup
-Autoreqprov: on
-Version: 2.4.4
-Release: 1
-Summary: Bacula--The Network Backup Solution: Client Part
-URL: http://www.bacula.org
-Source0: %{name}-%{version}.tar.gz
-Source10: bacula-dir.init
-Source11: bacula-fd.init
-Source12: bacula-sd.init
-Source20: bacula-dir.fw
-Source21: bacula-fd.fw
-Source22: bacula-sd.fw
-#Patch: %{name}-%{version}-cflags.diff
-#Patch1: 001-check-python26.diff
-BuildRoot: %{_tmppath}/%{name}-%{version}-build
-
-%description
-Bacula comes by night and sucks the vital essence from your computers.
-Bacula is a set of computer programs that permit you (or the system
-administrator) to manage backup, recovery, and verification of computer
-data across a network of computers of different kinds. In technical
-terms, it is a network client/server-based backup program. Bacula is
-relatively easy to use and efficient, while offering many advanced
-storage management features that make it easy to find and recover lost
-or damaged files.
-
-
-
-%debug_package
-%package server
-Summary: Bacula - The Network Backup Solution - server part
-Group: Productivity/Archiving/Backup
-Requires: bacula = %{version}
-Autoreqprov: on
-
-%description server
-Bacula - It comes by night and sucks the vital essence from your
-computers. Bacula is a set of computer programs that permit you (or the
-system administrator) to manage backup, recovery, and verification of
-computer data across a network of computers of different kinds. In
-technical terms, it is a network client/server based backup program.
-Bacula is relatively easy to use and efficient, while offering many
-advanced storage management features that make it easy to find and
-recover lost or damaged files. This package contains Bacula server
-daemons.
-
-%package gui
-Summary: Bacula - The Network Backup Solution - admin GUI
-Group: Productivity/Archiving/Backup
-Requires: bacula = %{version}
-Autoreqprov: on
-
-%description gui
-Bacula - It comes by night and sucks the vital essence from your
-computers. Bacula is a set of computer programs that permit you (or the
-system administrator) to manage backup, recovery, and verification of
-computer data across a network of computers of different kinds. In
-technical terms, it is a network client/server based backup program.
-Bacula is relatively easy to use and efficient, while offering many
-advanced storage management features that make it easy to find and
-recover lost or damaged files. This package contains Bacula GUI
-programs bat (QT) and tray monitor (KDE/Gnome).
-
-
-
-%prep
-%setup -q
-#%patch
-#%patch1 -p1
-
-%build
-unset NOFORTIFY
-%if 0%{?suse_version} >= 1100
-# bacula will crash otherwise
-NOFORTIFY='-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0'
-%endif
-CFLAGS="-fno-strict-aliasing $RPM_OPT_FLAGS $NOFORTIFY" ./configure \
- --prefix=%{_prefix} \
- --libexecdir=%{_libdir} \
- --sbindir=%{_sbindir} \
- --bindir=%{_bindir} \
- --libdir=%{_libdir} \
- --infodir=%{_infodir} \
- --mandir=%{_mandir} \
- --sysconfdir=%{_sysconfdir}/bacula \
- --with-working-dir=/var/lib/bacula/working \
- --with-scriptdir=/usr/lib/bacula \
- --with-sqlite3 \
- --with-postgresql \
- --with-mysql \
- --with-openssl \
- --with-python=/usr/ \
- --enable-bat \
- --enable-tray-monitor \
- --with-tcp-wrappers
-make CFLAGS="$RPM_OPT_FLAGS $NOFORTIFY"
-
-%install
-make DESTDIR=$RPM_BUILD_ROOT install
-install -m 755 src/qt-console/bat $RPM_BUILD_ROOT/%{_sbindir}/bat
-mkdir -p $RPM_BUILD_ROOT/etc/init.d
-install -m 755 %SOURCE10 $RPM_BUILD_ROOT/etc/init.d/bacula-dir
-install -m 755 %SOURCE11 $RPM_BUILD_ROOT/etc/init.d/bacula-fd
-install -m 755 %SOURCE12 $RPM_BUILD_ROOT/etc/init.d/bacula-sd
-ln -sf ../../etc/init.d/bacula-fd $RPM_BUILD_ROOT/%{_sbindir}/rcbacula-fd
-ln -sf ../../etc/init.d/bacula-sd $RPM_BUILD_ROOT/%{_sbindir}/rcbacula-sd
-ln -sf ../../etc/init.d/bacula-dir $RPM_BUILD_ROOT/%{_sbindir}/rcbacula-dir
-# remove /etc/bacula/startmysql
-# and /etc/bacula/stopmysql
-# as they are not needed (bug #145310)
-##rm $RPM_BUILD_ROOT/etc/bacula/startmysql $RPM_BUILD_ROOT/etc/bacula/stopmysql
-##rm $RPM_BUILD_ROOT/etc/bacula/bacula-ctl-dir $RPM_BUILD_ROOT/etc/bacula/bacula-ctl-fd $RPM_BUILD_ROOT/etc/bacula/bacula-ctl-sd
-rm $RPM_BUILD_ROOT/usr/lib/bacula/startmysql $RPM_BUILD_ROOT/usr/lib/bacula/stopmysql
-rm $RPM_BUILD_ROOT/usr/lib/bacula/bacula-ctl-dir $RPM_BUILD_ROOT/usr/lib/bacula/bacula-ctl-fd $RPM_BUILD_ROOT/usr/lib/bacula/bacula-ctl-sd
-#install fw definitions
-mkdir -p $RPM_BUILD_ROOT/%{_fwdefdir}/
-install -m 755 %SOURCE20 $RPM_BUILD_ROOT/%{_fwdefdir}/bacula-dir
-install -m 755 %SOURCE21 $RPM_BUILD_ROOT/%{_fwdefdir}/bacula-fd
-install -m 755 %SOURCE22 $RPM_BUILD_ROOT/%{_fwdefdir}/bacula-sd
-
-%clean
-rm -rf $RPM_BUILD_ROOT
-
-%preun
-%stop_on_removal bacula-fd
-
-%postun
-%restart_on_update bacula-fd
-%insserv_cleanup
-
-%preun server
-%stop_on_removal bacula-dir bacula-sd
-
-%postun server
-%restart_on_update bacula-dir bacula-sd
-%insserv_cleanup
-
-%files
-%defattr(-,root,root)
-%config /etc/init.d/bacula-fd
-%doc ABOUT-NLS COPYING INSTALL LICENSE README VERIFYING ReleaseNotes projects
-%{_sbindir}/bacula-fd
-%{_sbindir}/rcbacula-fd
-%{_sbindir}/bconsole
-%{_sbindir}/btraceback
-%config(noreplace) /etc/bacula/bacula-fd.conf
-%config(noreplace) /etc/bacula/bconsole.conf
-/usr/lib/bacula/btraceback.dbx
-/usr/lib/bacula/btraceback.gdb
-/usr/lib/bacula/gconsole
-/usr/lib/bacula/mtx-changer
-/usr/lib/bacula/bacula
-/usr/lib/bacula/dvd-handler
-/usr/lib/bacula/disk-changer
-/usr/lib/bacula/bconsole
-%dir /etc/bacula
-%dir /usr/lib/bacula
-%dir /var/lib/bacula
-%dir /var/lib/bacula/working
-%config %{_fwdefdir}/bacula-fd
-%doc %{_mandir}/man8/*
-%doc %{_mandir}/man1/bsmtp.1.gz
-
-%files server
-%defattr(-,root,root)
-%config /etc/init.d/bacula-sd
-%config /etc/init.d/bacula-dir
-%{_sbindir}/bacula-dir
-%{_sbindir}/bacula-sd
-%{_sbindir}/rcbacula-dir
-%{_sbindir}/rcbacula-sd
-%{_sbindir}/bcopy
-%{_sbindir}/bextract
-%{_sbindir}/bscan
-%{_sbindir}/bls
-%{_sbindir}/bsmtp
-%{_sbindir}/btape
-%{_sbindir}/dbcheck
-%{_sbindir}/bregex
-%{_sbindir}/bwild
|
[-]
[+]
|
Deleted |
001-check-python26.diff
^
|
@@ -1,73 +0,0 @@
---- bacula-2.4.3/configure.ori 2008-12-21 22:03:04.000000000 +0100
-+++ bacula-2.4.3/configure 2008-12-21 22:20:11.000000000 +0100
-@@ -15620,37 +15620,45 @@
- PYTHON_LIBS=
- if test "$withval" != "no"; then
- if test "$withval" = "yes"; then
-- for python_root in /usr /usr/local /usr/sfw; do
-- for ver in python2.2 python2.3 python2.4 python2.5; do
-- if test -f $python_root/include/${ver}/Python.h; then
-- PYTHON_INCDIR=-I$python_root/include/${ver}
-- if test -d $python_root/lib64/${ver}/config; then
-- PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
-- else
-- PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
-- fi
-- break
-- fi
-+ if [ -a /usr/bin/python-config ] ; then
-+ PYTHON_INCDIR=`python-config --includes`
-+ PYTHON_LIBS=`python-config --libs`
-+ else
-+ for python_root in /usr /usr/local /usr/sfw; do
-+ for ver in python2.2 python2.3 python2.4 python2.5; do
-+ if test -f $python_root/include/${ver}/Python.h; then
-+ PYTHON_INCDIR=-I$python_root/include/${ver}
-+ if test -d $python_root/lib64/${ver}/config; then
-+ PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
-+ else
-+ PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
-+ fi
-+ break
-+ fi
-+ done
- done
-- done
-- if test x$PYTHON_INCDIR = x; then
-- if test -f $prefix/include/Python.h; then
-- PYTHON_INCDIR=-I$prefix/include
-- if test -d $prefix/lib64/config; then
-- PYTHON_LIBS="-L$prefix/lib64/config -lpython"
-- else
-- PYTHON_LIBS="-L$prefix/lib/config -lpython"
-- fi
-- else
-- { echo "$as_me:$LINENO: result: no" >&5
-+ if test x$PYTHON_INCDIR = x; then
-+ if test -f $prefix/include/Python.h; then
-+ PYTHON_INCDIR=-I$prefix/include
-+ if test -d $prefix/lib64/config; then
-+ PYTHON_LIBS="-L$prefix/lib64/config -lpython"
-+ else
-+ PYTHON_LIBS="-L$prefix/lib/config -lpython"
-+ fi
-+ else
-+ { echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6; }
-- { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
-+ { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
- echo "$as_me: error: Unable to find Python.h in standard locations" >&2;}
-- { (exit 1); exit 1; }; }
-+ { (exit 1); exit 1; }; }
-+ fi
- fi
- fi
- else
-- if test -f $withval/Python.h; then
-+ if test -x $withval/bin/python-config ; then
-+ PYTHON_INCDIR=`python-config --includes`
-+ PYTHON_LIBS=`python-config --libs`
-+ elif test -f $withval/Python.h; then
- PYTHON_INCDIR=-I$withval
- PYTHON_LIBS="-L$withval/config -lpython"
- elif test -f $withval/include/Python.h; then
|
[-]
[+]
|
Deleted |
bacula-dir.fw
^
|
@@ -1,4 +0,0 @@
-## Description: Bacula Director
-
-# space separated list of allowed TCP ports
-TCP="9101"
|
[-]
[+]
|
Deleted |
bacula-dir.init
^
|
@@ -1,88 +0,0 @@
-#! /bin/sh
-
-# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
-# All rights reserved.
-
-### BEGIN INIT INFO
-# Provides: bacula-dir
-# Required-Start: $local_fs $remote_fs $network mysql
-# Required-Stop: $local_fs $remote_fs $network mysql
-# Default-Start: 3 5
-# Default-Stop: 0 1 2 6
-# Short-Description: bacula director
-# Description: Bacula network backup system director daemon
-### END INIT INFO
-
-# Shell functions sourced from /etc/rc.status:
-# rc_check check and set local and overall rc status
-# rc_status check and set local and overall rc status
-# rc_status -v ditto but be verbose in local rc status
-# rc_status -v -r ditto and clear the local rc status
-# rc_failed set local and overall rc status to failed
-# rc_failed <num> set local and overall rc status to <num><num>
-# rc_reset clear local rc status (overall remains)
-# rc_exit exit appropriate to overall rc status
-
-. /etc/rc.status
-
-BACULA_FD_BIN=/usr/sbin/bacula-dir
-test -x $BACULA_FD_BIN || { echo "$BACULA_FD_BIN not installed";
- if [ "$1" = "stop" ]; then exit 0;
- else exit 5; fi; }
-
-
-case "$1" in
- start)
- echo -n "Starting the Bacula Director daemon"
- startproc -q $BACULA_FD_BIN -c /etc/bacula/bacula-dir.conf
-
- rc_status -v
- ;;
-
-
- stop)
- echo -n "Shutting down the Bacula Director daemon"
-
- killproc -TERM $BACULA_FD_BIN
-
- rc_status -v
- ;;
- try-restart|condrestart)
- if test "$1" = "condrestart"; then
- echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
- fi
- $0 status
- if test $? = 0; then
- $0 restart
- else
- rc_reset
- fi
- rc_status
- ;;
- restart)
- $0 stop
- $0 start
-
- rc_status
- ;;
- force-reload)
-
- $0 try-restart
- rc_status
- ;;
- reload)
- rc_failed 3
- rc_status -v
- ;;
- status)
- echo -n "Checking for service the Bacula Director daemon"
- checkproc $BACULA_FD_BIN
- rc_status -v
- ;;
- *)
- echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
- exit 1
- ;;
-esac
-rc_exit
-
|
[-]
[+]
|
Deleted |
bacula-fd.fw
^
|
@@ -1,4 +0,0 @@
-## Description: Bacula File Daemon
-
-# space separated list of allowed TCP ports
-TCP="9102"
|
[-]
[+]
|
Deleted |
bacula-fd.init
^
|
@@ -1,89 +0,0 @@
-#! /bin/sh
-
-# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
-# All rights reserved.
-
-
-### BEGIN INIT INFO
-# Provides: bacula-fd
-# Required-Start: $local_fs $remote_fs $network
-# Required-Stop: $local_fs $remote_fs $network
-# Default-Start: 3 5
-# Default-Stop: 0 1 2 6
-# Short-Description: bacula file daemon
-# Description: Bacula network backup system file daemon
-### END INIT INFO
-
-# Shell functions sourced from /etc/rc.status:
-# rc_check check and set local and overall rc status
-# rc_status check and set local and overall rc status
-# rc_status -v ditto but be verbose in local rc status
-# rc_status -v -r ditto and clear the local rc status
-# rc_failed set local and overall rc status to failed
-# rc_failed <num> set local and overall rc status to <num><num>
-# rc_reset clear local rc status (overall remains)
-# rc_exit exit appropriate to overall rc status
-
-. /etc/rc.status
-
-BACULA_FD_BIN=/usr/sbin/bacula-fd
-test -x $BACULA_FD_BIN || { echo "$BACULA_FD_BIN not installed";
- if [ "$1" = "stop" ]; then exit 0;
- else exit 5; fi; }
-
-
-case "$1" in
- start)
- echo -n "Starting the Bacula File daemon"
- startproc -q $BACULA_FD_BIN -c /etc/bacula/bacula-fd.conf
-
- rc_status -v
- ;;
-
-
- stop)
- echo -n "Shutting down the Bacula File daemon"
-
- killproc -TERM $BACULA_FD_BIN
-
- rc_status -v
- ;;
- try-restart|condrestart)
- if test "$1" = "condrestart"; then
- echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
- fi
- $0 status
- if test $? = 0; then
- $0 restart
- else
- rc_reset
- fi
- rc_status
- ;;
- restart)
- $0 stop
- $0 start
-
- rc_status
- ;;
- force-reload)
-
- $0 try-restart
- rc_status
- ;;
- reload)
- rc_failed 3
- rc_status -v
- ;;
- status)
- echo -n "Checking for service the Bacula File daemon"
- checkproc $BACULA_FD_BIN
- rc_status -v
- ;;
- *)
- echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
- exit 1
- ;;
-esac
-rc_exit
-
|
[-]
[+]
|
Deleted |
bacula-sd.fw
^
|
@@ -1,4 +0,0 @@
-## Description: Bacula Storage Daemon
-
-# space separated list of allowed TCP ports
-TCP="9103"
|
[-]
[+]
|
Deleted |
bacula-sd.init
^
|
@@ -1,88 +0,0 @@
-#! /bin/sh
-
-# Copyright (c) 2005 SUSE Linux AG, Nuernberg, Germany.
-# All rights reserved.
-
-### BEGIN INIT INFO
-# Provides: bacula-sd
-# Required-Start: $local_fs $remote_fs $network
-# Required-Stop: $local_fs $remote_fs $network
-# Default-Start: 3 5
-# Default-Stop: 0 1 2 6
-# Short-Description: bacula storage daemon
-# Description: Bacula network backup system storage daemon
-### END INIT INFO
-
-# Shell functions sourced from /etc/rc.status:
-# rc_check check and set local and overall rc status
-# rc_status check and set local and overall rc status
-# rc_status -v ditto but be verbose in local rc status
-# rc_status -v -r ditto and clear the local rc status
-# rc_failed set local and overall rc status to failed
-# rc_failed <num> set local and overall rc status to <num><num>
-# rc_reset clear local rc status (overall remains)
-# rc_exit exit appropriate to overall rc status
-
-. /etc/rc.status
-
-BACULA_SD_BIN=/usr/sbin/bacula-sd
-test -x $BACULA_SD_BIN || { echo "$BACULA_SD_BIN not installed";
- if [ "$1" = "stop" ]; then exit 0;
- else exit 5; fi; }
-
-
-case "$1" in
- start)
- echo -n "Starting the Bacula Storage daemon"
- startproc -q $BACULA_SD_BIN -c /etc/bacula/bacula-sd.conf
-
- rc_status -v
- ;;
-
-
- stop)
- echo -n "Shutting down the Bacula Storage daemon"
-
- killproc -TERM $BACULA_SD_BIN
-
- rc_status -v
- ;;
- try-restart|condrestart)
- if test "$1" = "condrestart"; then
- echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
- fi
- $0 status
- if test $? = 0; then
- $0 restart
- else
- rc_reset
- fi
- rc_status
- ;;
- restart)
- $0 stop
- $0 start
-
- rc_status
- ;;
- force-reload)
-
- $0 try-restart
- rc_status
- ;;
- reload)
- rc_failed 3
- rc_status -v
- ;;
- status)
- echo -n "Checking for service the Bacula Storage daemon"
- checkproc $BACULA_SD_BIN
- rc_status -v
- ;;
- *)
- echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
- exit 1
- ;;
-esac
-rc_exit
-
|